package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.algs.Algorithm;
import io.renren.modules.sys.entity.algs.Version;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface VersionMapper extends BaseMapper<Version> {
    int deleteByPrimaryKey(Long versionId);

    int insert(Version record);

    int insertSelective(Version record);

    Version selectByPrimaryKey(Long versionId);

    int updateByPrimaryKeySelective(Version record);

    int updateByPrimaryKey(Version record);

    @Select("SELECT max(version_id) FROM version")
    Long getMaxId();
}